# DataExchange
TKSTEPBase
StepGeom

# StepGeom_HArray1OfCurve Class Reference

`#include <StepGeom_HArray1OfCurve.hxx>`

## Public Member Functions

Standard_EXPORT | StepGeom_HArray1OfCurve (const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT | StepGeom_HArray1OfCurve (const Standard_Integer Low, const Standard_Integer Up, const Handle(StepGeom_Curve)&V)
Standard_EXPORT void | Init (const Handle(StepGeom_Curve)&V)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_Integer | Upper () const
void | SetValue (const Standard_Integer Index, const Handle(StepGeom_Curve)&Value)
const Handle_StepGeom_Curve & | Value (const Standard_Integer Index) const
Handle_StepGeom_Curve & | ChangeValue (const Standard_Integer Index)
const StepGeom_Array1OfCurve & | Array1 () const
StepGeom_Array1OfCurve & | ChangeArray1 ()
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

StepGeom_Array1OfCurve | myArray

## Constructor & Destructor Documentation

Standard_EXPORT StepGeom_HArray1OfCurve::StepGeom_HArray1OfCurve | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Standard_EXPORT StepGeom_HArray1OfCurve::StepGeom_HArray1OfCurve | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up,
|  | const Handle(StepGeom_Curve)& | V
| ) |

## Member Function Documentation

const StepGeom_Array1OfCurve& StepGeom_HArray1OfCurve::Array1 | ( |  | ) | const

StepGeom_Array1OfCurve& StepGeom_HArray1OfCurve::ChangeArray1 | ( |  | ) |

Handle_StepGeom_Curve& StepGeom_HArray1OfCurve::ChangeValue | ( | const Standard_Integer | Index | ) |

Standard_EXPORT const StepGeom_HArray1OfCurve::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT void StepGeom_HArray1OfCurve::Init | ( | const Handle(StepGeom_Curve)& | V | ) |

Standard_Integer StepGeom_HArray1OfCurve::Length | ( |  | ) | const

Standard_Integer StepGeom_HArray1OfCurve::Lower | ( |  | ) | const

void StepGeom_HArray1OfCurve::SetValue | ( | const Standard_Integer | Index,
|  | const Handle(StepGeom_Curve)& | Value
| ) |

Standard_Integer StepGeom_HArray1OfCurve::Upper | ( |  | ) | const

const Handle_StepGeom_Curve& StepGeom_HArray1OfCurve::Value | ( | const Standard_Integer | Index | ) | const

## Field Documentation

StepGeom_Array1OfCurve StepGeom_HArray1OfCurve::myArray `[private]`

The documentation for this class was generated from the following file:

- StepGeom_HArray1OfCurve.hxx